import { UserRepository } from "$lib/domains/user/data/repository";
import { db } from "@pkg/db";
import type { Result } from "@pkg/result";

export class AuthController {
	private userRepo: UserRepository;

	constructor() {
		this.userRepo = new UserRepository(db);
	}

	async shouldLogin(username: string): Promise<Result<boolean>> {
		return this.userRepo.shouldUserLogin(username);
	}
}
